clanhb.f(3)

NAME
clanhb.f -

SYNOPSIS

  Functions/Subroutines
REAL function CLANHB (NORM, UPLO, N, K, AB, LDAB, WORK)
CLANHB

Function/Subroutine Documentation

  REAL function CLANHB (CHARACTERNORM, CHARACTERUPLO, INTEGERN, INTEGERK, COMPLEX, dimension( ldab, * )AB, INTEGERLDAB, REAL, dimension( * )WORK)

CLANHB

Purpose:

     CLANHB  returns the value of the one norm,  or the Frobenius norm, or
     the  infinity norm,  or the element of  largest absolute value  of an
     n by n hermitian band matrix A,  with k super-diagonals.

Returns:
    CLANHB

        CLANHB = ( max(abs(A(i,j))), NORM = 'M' or 'm'
                 (
                 ( norm1(A),         NORM = '1', 'O' or 'o'
                 (
                 ( normI(A),         NORM = 'I' or 'i'
                 (
                 ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
     where  norm1  denotes the  one norm of a matrix (maximum column sum),
     normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
     normF  denotes the  Frobenius norm of a matrix (square root of sum of
     squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix norm.

Parameters:
    NORM

              NORM is CHARACTER*1
              Specifies the value to be returned in CLANHB as described
              above.

    UPLO

              UPLO is CHARACTER*1
              Specifies whether the upper or lower triangular part of the
              band matrix A is supplied.
              = 'U':  Upper triangular
              = 'L':  Lower triangular

    N

              N is INTEGER
              The order of the matrix A.  N >= 0.  When N = 0, CLANHB is
              set to zero.

    K

              K is INTEGER
              The number of super-diagonals or sub-diagonals of the
              band matrix A.  K >= 0.

    AB

              AB is COMPLEX array, dimension (LDAB,N)
              The upper or lower triangle of the hermitian band matrix A,
              stored in the first K+1 rows of AB.  The j-th column of A is
              stored in the j-th column of the array AB as follows:
              if UPLO = 'U', AB(k+1+i-j,j) = A(i,j) for max(1,j-k)<=i<=j;
              if UPLO = 'L', AB(1+i-j,j)   = A(i,j) for j<=i<=min(n,j+k).
              Note that the imaginary parts of the diagonal elements need
              not be set and are assumed to be zero.

    LDAB

              LDAB is INTEGER
              The leading dimension of the array AB.  LDAB >= K+1.

    WORK

              WORK is REAL array, dimension (MAX(1,LWORK)),
              where LWORK >= N when NORM = 'I' or '1' or 'O'; otherwise,
              WORK is not referenced.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 132 of file clanhb.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.